package geniusweb.actions;

import javax.swing.AbstractAction;

import com.fasterxml.jackson.databind.ObjectMapper;

import tudelft.utilities.logging.Reporter;

/**
 * AbstractAction with some more general support and tools
 */
public abstract class GuiAction extends AbstractAction {
	protected final static ObjectMapper jackson = new ObjectMapper();
	protected final Reporter log;

	public GuiAction(String name, Reporter log) {
		super(name);
		this.log = log;
	}

}
